SubscriptionFilter
Event-body and header conditions selecting webhook events for a subscription.
Usage profiles
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
body | Map from string to string | Optional | Event-body matching rules used by the webhook subscription filter. |
headers | Map from string to string | Optional | Header-matching rules used to select events for the webhook subscription. |
Where used
| Reference | Relationship |
|---|---|
| Create a webhook endpoint | POST /api/v1/webhooks/create-endpoint |
| Create a webhook subscription | POST /api/v1/webhooks/create-subscription |
| List webhook subscriptions | POST /api/v1/webhooks/list-subscriptions |
| Subscription | Nested in model |
Download the public reference contract.
Document: DOC-API-MODEL-subscription-filter.